Skip to main content

prefect_databricks.rest

This is a module containing generic REST tasks.

Functions

serialize_model

Recursively serializes pydantic.BaseModel into JSON; returns original obj if not a BaseModel. Args:
  • obj: Input object to serialize.
Returns:
  • Serialized version of object.

strip_kwargs

Recursively drops keyword arguments if value is None, and serializes any pydantic.BaseModel types. Args:
  • **kwargs: Input keyword arguments.
Returns:
  • Stripped version of kwargs.

execute_endpoint

Generic function for executing REST endpoints. Args:
  • endpoint: The endpoint route.
  • databricks_credentials: Credentials to use for authentication with Databricks.
  • http_method: Either GET, POST, PUT, DELETE, or PATCH.
  • params: URL query parameters in the request.
  • json: JSON serializable object to include in the body of the request.
  • **kwargs: Additional keyword arguments to pass.
Returns:
  • The httpx.Response from interacting with the endpoint.
Examples: Lists jobs on the Databricks instance.

Classes

HTTPMethod

Available HTTP request methods.